<template>
  <el-container style="padding: 40px 12%;padding-top: 60x;" id="cntt" >
    <el-header><userCard/></el-header>
      <el-container style="min-height: 400px;" id="qwq">
        <el-aside width="400px" ><leftNav  /></el-aside>
        <el-main>
            <router-view/>
        </el-main>
      </el-container>
  </el-container>
</template>

<script>
import userCard from '../../components/user/userCard.vue'
import leftNav from '../../components/user/leftNav.vue'
import $router from '../../router';
import { onMounted, ref } from 'vue';
export default {
    data(){
        return{
            rigthAb:ref(false)
        }
    },
    onMounted(){
            // 监听滚动条位置
    window.addEventListener('scroll', this.scrollTop, true)
    },
    methods:{
        scrollTop(){
      let scroll = document.documentElement.scrollTop || document.body.scrollTop;
     if(scroll>=1200){
        this.rigthAb.value = true
     }else{
        this.rigthAb.value = false
     }
}
    },
    comments:{
        userCard,
        leftNav,
    }
}
</script>
<!-- <style lang="less" >
.el-container{
    .el-container[data-v-9562428a] {
    flex-wrap: nowrap;
}
}
</style> -->
<style lang="less" scoped>
#cntt{
    // height: 100%;
    // background-color: rgb(127, 191, 255);
    .el-aside {
        padding: 20px;
    }
    .el-header{
        margin-top: 40px;
        height: 200px;
        margin-bottom:20px ;
    }
}
</style>